Bug Hunting Session
Bug 50342 - Audio does not play in .ppsx files
Summary: Audio does not play in .ppsx files
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-25 02:15 UTC by Shimi Chen
Modified: 2015-07-18 18:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Attachement from Launchpad (2.05 MB, application/vnd.ms-powerpoint)
2014-06-12 16:34 UTC, vulcain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shimi Chen 2012-05-25 02:15:41 UTC
I'm forwarding this bug from Ubuntu Launchpad as it seems to be an upstream one.
This is the original report:
https://bugs.launchpad.net/df-libreoffice/+bug/716439

A file provided by "davio smitti" that illustrates the issue is attached.
I have tried the file in PowerPoint and there is a sound of a man talking through the slideshow, in Impress it is silent.
Comment 2 bfoman (inactive) 2012-11-29 14:12:04 UTC
Confirmed with:
LO 4.0.0.0.alpha1+ 
Build ID: own W7 debug build (dec8fe97d9f48d59b6bb0f98faded0f6aa8397df) 
Windows 7 Professional SP1 64 bit

Silence. Only speaker icon is displayed. WAV file is unrecognized.
Comment 3 ign_christian 2013-07-11 07:25:11 UTC
Set platform: All per comment 2

Seems like spesific to 64bit system as described on upstream bug. I can't reproduce on LO 4.0.4.2 (Win7 32bit)
Comment 4 ign_christian 2013-07-11 12:14:14 UTC
Sorry..I've just realized that attachment on comment 1 is different with attachment in upstream bug:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/716439/+attachment/1900142/+files/LouisArmstrong%20MBa.pps 
(pps file which I tested on comment 3)

But I can confirm reproduce problem with ppsx file on comment 1 with:
LO 4.0.4.2 - Win7 32bit 
LO 3.6.6.2 - Ubuntu 12.04 32bit
Comment 5 vulcain 2014-06-12 16:34:40 UTC
Created attachment 100931 [details]
Attachement from Launchpad
Comment 6 vulcain 2014-06-12 16:39:34 UTC
Work well on Ubuntu 12.04 x86_64 :
with LibreOffice from Canonical  LibreOffice 3.5.7.2 Version ID : 350m1(Build:2)

with LibreOffice 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de from TDF
Comment 7 QA Administrators 2015-07-18 17:44:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-07-18
Comment 8 Shimi Chen 2015-07-18 18:00:19 UTC
Works for me on Build ID: 4.4.4.3 Arch Linux build-2.

There is another issue with that .ppsx, it is impossible to quit it without killing LibreOffice, but that should be reported as a separate bug.